<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:dbk="http://docbook.org/ns/docbook"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
module :
generation of a docbook file for display all plots of firtsteps.xml

original location :
++/Documentation/xmldoc/all_plots_docbook.xsl

update :
fplod 2008-04-15T12:40:25Z aedon.locean-ipsl.upmc.fr (Darwin)
adaptation to docbook 5 in and out
fplod 2006-05-17T09:59:52Z aedon.lodyc.jussieu.fr (Darwin)
fplod 2006-09-21T14:58:05Z aedon.locean-ipsl.upmc.fr (Darwin)
remove ?format=raw
-->


<xsl:output
 method="xml"
 indent="yes"
 omit-xml-declaration="no"/>

<xsl:template match="/">
 <xsl:element name="article">
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
 <xsl:attribute name="xml:lang">en</xsl:attribute>
 <xsl:attribute name="xml:id">all_plots</xsl:attribute>

  <title>All plots of SAXO demo</title>
   <xsl:copy-of select="//dbk:info"/>
<!--
    <info>
    <authorgroup>
      <author><personname><firstname>Sbastien</firstname> <surname>Masson</surname></personname> <email>smasson_at_lodyc.jussieu.fr</email></author>
      <author><personname><firstname>Franoise</firstname> <surname>Pinsard</surname></personname> <email>Francoise.Pinsard_at_lodyc.jussieu.fr</email></author>
    </authorgroup>
    <keywordset>
      <keyword>idl</keyword>
      <keyword>SAXO</keyword>
    </keywordset>
    </info>
-->
    <sect1 xml:id="intro">
    <title>Introduction</title>
    <para>
      This page gathers all plots used in <link xl:href="firststeps.html">firststeps</link> and display them in one unique page to facilitate the search of plots examples.
    </para>
    </sect1>
    <sect1 xml:id="allplots">
    <title>All plots</title>
     <xsl:element name="itemizedlist">

<!-- for all links where xl:href is something .png
plot it with the title of the closest ancestor which have an xml:id attribute
-->
<!-- version dbk 4 pour mmoire
<xsl:for-each select="self::node()/descendant-or-self::node()/child::link[contains(@xl:href,'png')]">
-->
<xsl:for-each select="//dbk:link[contains(@xl:href,'png')]">
  <xsl:sort order="ascending" data-type="text" select="@xl:href"/>
  <xsl:call-template name="plot">
      <xsl:with-param name="href" select="@xl:href"/>
      <xsl:with-param name="id" select="(ancestor-or-self::node()/@xml:id)[last()]"/>
      <xsl:with-param name="title" select="(ancestor-or-self::node()/dbk:title)[last()]"/>
  </xsl:call-template>
</xsl:for-each>
   </xsl:element>
  </sect1>
  </xsl:element>
</xsl:template>

    <xsl:template name="plot">
        <xsl:param name="href"/>
        <xsl:param name="id"/>
        <xsl:param name="title"/>
        <xsl:element name="listitem">
         <xsl:element name="para">
          [plot <xsl:value-of select="$href"/>]
         </xsl:element> 
         <xsl:element name="para">
          <xsl:element name="mediaobject">
            <xsl:element name="imageobject">
                <xsl:element name="imagedata">
                    <xsl:attribute name="fileref"><xsl:value-of select="$href"/></xsl:attribute>
                    <xsl:attribute name="format">PNG</xsl:attribute>
                    <xsl:attribute name="valign">top</xsl:attribute>
                </xsl:element>
            </xsl:element>
            <xsl:element name="textobject">
             <xsl:element name="phrase">
              [plot <xsl:value-of select="$href"/>]
             </xsl:element>
            </xsl:element>
            <xsl:element name="caption">
             <xsl:element name="para">
              cf. 
              <xsl:element name="link">
               <xsl:attribute name="xl:href">firststeps.html#<xsl:value-of select="$id"/></xsl:attribute>
                <xsl:value-of select="$title"/>
              </xsl:element>
              <xsl:text> in </xsl:text><xsl:value-of select="//dbk:title"/>
             </xsl:element>
            </xsl:element>
           </xsl:element>
          </xsl:element>
        </xsl:element>
    </xsl:template>

</xsl:stylesheet>
